############################################################################
# fonts.pl
############################################################################

%ascii_characters = (
                       "Tab",                   "\\t",
                       "HardSpace",             " ",
                       "SoftHyphen",            "",
                       "DiscHyphen",            "-",
                       "NoHyphen",              "",
                       "Cent",                  " cents",
                       "Pound",                 " lbs",
                       "Yen",                   " yen",
                       "EnDash",                "-",
                       "EmDash",                "--",
                       "Dagger",                "+",
                       "DoubleDagger",          "++",
                       "Bullet",                "o",
                       "HardReturn",            "\n",
                       "EndOfPara",             "P",
                       "EndOfFlow",             "$",
                       "NumberSpace",           " ",
                       "ThinSpace",             " ",
                       "EnSpace",               " ",
                       "EmSpace",               "  ",
                    );


%ascii_standard_font = (
                "04",	"-",
                "06",	"-",
                "08",	"\\t",
                "09",	"\n",
                "0a",	"\n",
                "10",	" ",
                "11",	" ",
                "12",	" ",
                "13",	" ",
                "14",	"  ",
                "15",	"-",
                "20",	" ",
                "21",	"!",
                "22",	"\"",
                "23",	"#",
                "24",	"$",
                "25",	"%",
                "26",	"&",
                "27",	"\'",
                "28",	"(",
                "29",	")",
                "2a",	"*",
                "2b",	"+",
                "2c",	",",
                "2d",	"-",
                "2e",	".",
                "2f",	"/",
                "30",	"0",
                "31",	"1",
                "32",	"2",
                "33",	"3",
                "34",	"4",
                "35",	"5",
                "36",	"6",
                "37",	"7",
                "38",	"8",
                "39",	"9",
                "3a",	":",
                "3b",	";",
                "3c",	"<",
                "3d",	"=",
                "3e",	">",
                "3f",	"?",
                "40",	"@",
                "41",	"A",
                "42",	"B",
                "43",	"C",
                "44",	"D",
                "45",	"E",
                "46",	"F",
                "47",	"G",
                "48",	"H",
                "49",	"I",
                "4a",	"J",
                "4b",	"K",
                "4c",	"L",
                "4d",	"M",
                "4e",	"N",
                "4f",	"O",
                "50",	"P",
                "51",	"Q",
                "52",	"R",
                "53",	"S",
                "54",	"T",
                "55",	"U",
                "56",	"V",
                "57",	"W",
                "58",	"X",
                "59",	"Y",
                "5a",	"Z",
                "5b",	"[",
                "5c",	"\\",
                "5d",	"]",
                "5e",	"^",
                "5f",	"_",
                "60",	"`",
                "61",	"a",
                "62",	"b",
                "63",	"c",
                "64",	"d",
                "65",	"e",
                "66",	"f",
                "67",	"g",
                "68",	"h",
                "69",	"i",
                "6a",	"j",
                "6b",	"k",
                "6c",	"l",
                "6d",	"m",
                "6e",	"n",
                "6f",	"o",
                "70",	"p",
                "71",	"q",
                "72",	"r",
                "73",	"s",
                "74",	"t",
                "75",	"u",
                "76",	"v",
                "77",	"w",
                "78",	"x",
                "79",	"y",
                "7a",	"z",
                "7b",	"{",
                "7c",	"|",
                "7d",	"}",
                "7e",	"~",
                "7f",	"Reserved",
                "80",	"Adieresis",
                "81",	"Aring",
                "82",	"Ccedilla",
                "83",	"Eacute",
                "84",	"Ntilde",
                "85",	"Odieresis",
                "86",	"Udieresis",
                "87",	"aacute",
                "88",	"agrave",
                "89",	"acircumflex",
                "8a",	"adieresis",
                "8b",	"atilde",
                "8c",	"aring",
                "8d",	"ccedilla",
                "8e",	"eacute",
                "8f",	"egrave",
                "90",	"ecircumflex",
                "91",	"edieresis",
                "92",	"iacute",
                "93",	"igrave",
                "94",	"icircumflex",
                "95",	"idieresis",
                "96",	"ntilde",
                "97",	"oacute",
                "98",	"ograve",
                "99",	"ocircumflex",
                "9a",	"odieresis",
                "9b",	"otilde",
                "9c",	"uacute",
                "9d",	"ugrave",
                "9e",	"ucircumflex",
                "9f",	"udieresis",
                "a0",	"+",
                "a1",	"Reserved",
                "a2",	"cent",
                "a3",	"sterling",
                "a4",	"section",
		"a5",	"o",
		"a6",	"paragraph",
		"a7",	"germandbls",
		"a8",	"registerserif",
		"a9",	"copyrightserif",
		"aa",	"trademarkserif",
		"ab",	"acute",
		"ac",	"dieresis",
		"ad",	"Reserved",
		"ae",	"AE",
		"af",	"Oslash",
		"b0",	"Reserved",
		"b1",	"Reserved",
		"b2",	"Reserved",
		"b3",	"Reserved",
		"b4",	"yen",
		"b5",	"Reserved",
		"b6",	"Reserved",
		"b7",	"Reserved",
		"b8",	"Reserved",
		"b9",	"Reserved",
		"ba",	"Reserved",
		"bb",	"ordfeminine",
		"bc",	"ordmasculine",
		"bd",	"Reserved",
		"be",	"ae",
		"bf",	"oslash",
		"c0",	"questiondown",
		"c1",	"exclamdown",
		"c2",	"logicalnot",
		"c3",	"Reserved",
		"c4",	"florin",
		"c5",	"Reserved",
		"c6",	"Reserved",
		"c7",	"guillemetleft",
		"c8",	"guillemetright",
		"c9",	"...",
		"ca",	"Reserved",
		"cb",	"Agrave",
		"cc",	"Atilde",
		"cd",	"Otilde",
		"ce",	"OE",
		"cf",	"oe",
                "d0",	"-",
                "d1",	"--",
                "d2",	"\"",
                "d3",	"\"",
                "d4",	"\`",
                "d5",	"\'",
                "d6",	"Reserved",
                "d7",	"Reserved",
                "d8",	"ydieresis",
                "d9",	"Ydieresis",
                "da",	"/",
                "db",	"currency",
                "dc",	"guisingleft",
                "dd",	"guisingright",
                "de",	"fi",
                "df",	"fl",
		"e0",	"++",
		"e1",	".",
		"e2",	",",
		"e3",	",,",
		"e4",	"%o",
		"e5",	"Acircumflex",
		"e6",	"Ecircumflex",
		"e7",	"Aacute",
		"e8",	"Edieresis",
		"e9",	"Egrave",
		"ea",	"Iacute",
		"eb",	"Icircumflex",
		"ec",	"Idieresis",
		"ed",	"Igrave",
		"ee",	"Oacute",
		"ef",	"Ocircumflex",
		"f0",	"Reserved",
		"f1",	"Ograve",
		"f2",	"Uacute",
		"f3",	"Ucircumflex",
		"f4",	"Ugrave",
		"f5",	"dotlessi",
		"f6",	"^",
		"f7",	"~",
		"f8",	"macron",
		"f9",	"breve",
		"fa",	"dotaccent",
		"fb",	"ring",
		"fc",	"cedilla",
		"fd",	"hungarumlaut",
		"fe",	"ogonek",
               );

%ascii_symbol_font = (
                "04",	"",
                "06",	"",
                "08",	"",
                "09",	"",
                "0a",	"",
                "10",	"",
                "11",	"",
                "12",	"",
                "13",	"",
                "14",	"",
                "15",	"",
                "20",	" ",
                "21",	"!",
                "22",	"universal",
                "23",	"#",
                "24",	"existential",
                "25",	"%",
                "26",	"&",
                "27",	"such that",
                "28",	"(",
                "29",	")",
                "2a",	"*",
                "2b",	"+",
                "2c",	",",
                "2d",	"-",
                "2e",	".",
                "2f",	"/",
                "30",	"0",
                "31",	"1",
                "32",	"2",
                "33",	"3",
                "34",	"4",
                "35",	"5",
                "36",	"6",
                "37",	"7",
                "38",	"8",
                "39",	"9",
                "3a",	":",
                "3b",	";",
                "3c",	"<",
                "3d",	"=",
                "3e",	">",
                "3f",	"?",
                "40",	"congruent",
                "41",	"Alpha",
                "42",	"Beta",
                "43",	"Chi",
                "44",	"Delta",
                "45",	"Epsilon",
                "46",	"Phi",
                "47",	"Gamma",
                "48",	"Eta",
                "49",	"Iota",
                "4a",	"theta1",
                "4b",	"Kappa",
                "4c",	"Lambda",
                "4d",	"Mu",
                "4e",	"Nu",
                "4f",	"Omicron",
                "50",	"Pi",
                "51",	"Theta",
                "52",	"Rho",
                "53",	"Sigma",
                "54",	"Tau",
                "55",	"Upsilon",
                "56",	"sigma1",
                "57",	"Omega",
                "58",	"Xi",
                "59",	"Psi",
                "5a",	"Zeta",
                "5b",	"[",
                "5c",	"therefore",
                "5d",	"]",
                "5e",	"perpendicular",
                "5f",	"_",
                "60",	"radicalex",
                "61",	"alpha",
                "62",	"beta",
                "63",	"chi",
                "64",	"delta",
                "65",	"epsilon",
                "66",	"phi",
                "67",	"gamma",
                "68",	"eta",
                "69",	"iota",
                "6a",	"phi1",
                "6b",	"kappa",
                "6c",	"lambda",
                "6d",	"mu",
                "6e",	"nu",
                "6f",	"omicron",
                "70",	"pi",
                "71",	"theta",
                "72",	"rho",
                "73",	"sigma",
                "74",	"tau",
                "75",	"upsilon",
                "76",	"omega1",
                "77",	"omega",
                "78",	"xi",
                "79",	"psi",
                "7a",	"zeta",
                "7b",	"{",
                "7c",	"|",
                "7d",	"}",
                "7e",	"~",
                "7f",	"Reserved",
                "80",	"Reserved",
                "81",	"Reserved",
                "82",	"Reserved",
                "83",	"Reserved",
                "84",	"Reserved",
                "85",	"Reserved",
                "86",	"Reserved",
                "87",	"Reserved",
                "88",	"Reserved",
                "89",	"Reserved",
                "8a",	"Reserved",
                "8b",	"Reserved",
                "8c",	"Reserved",
                "8d",	"Reserved",
                "8e",	"Reserved",
                "8f",	"Reserved",
                "90",	"Reserved",
                "91",	"Reserved",
                "92",	"Reserved",
                "93",	"Reserved",
                "94",	"Reserved",
                "95",	"Reserved",
                "96",	"Reserved",
                "97",	"Reserved",
                "98",	"Reserved",
                "99",	"Reserved",
                "9a",	"Reserved",
                "9b",	"Reserved",
                "9c",	"Reserved",
                "9d",	"Reserved",
                "9e",	"Reserved",
                "9f",	"Reserved",
                "a0",	"Reserved",
                "a1",	"Upsilon1",
                "a2",	"\'",
                "a3",	"lessequal",
                "a4",	"/",
		"a5",	"infinity",
		"a6",	"florin",
		"a7",	"club",
		"a8",	"diamond",
		"a9",	"heart",
		"aa",	"spade",
		"ab",	"<-->",
		"ac",	"<--",
		"ad",	"arrowup",
		"ae",	"-->",
		"af",	"arrowdown",
		"b0",	" degrees ",               # degree
		"b1",	"+/-",
		"b2",	"\'\'",
		"b3",	"greaterequal",
		"b4",	"x",
		"b5",	"proportional",
		"b6",	"partialdiff",
		"b7",	"o",
		"b8",	"/",
		"b9",	"!=",
		"ba",	"==",
		"bb",	"~=",
		"bc",	"...",
		"bd",	"|",
		"be",	"-",
		"bf",	"CR",
		"c0",	"aleph",
		"c1",	"Ifraktur",
		"c2",	"Rfraktur",
		"c3",	"weierstrass",
		"c4",	"(x)",
		"c5",	"(+)",
		"c6",	"emptyset",
		"c7",	"intersection",
		"c8",	"union",
		"c9",	"propersuperset",
		"ca",	"reflexsubset",
		"cb",	"notsubset",
		"cc",	"propersubset",
		"cd",	"reflexsubset",
		"ce",	"element",
		"cf",	"notelement",
                "d0",	"angle",
                "d1",	"gradient",
                "d2",	"(R)",
                "d3",	"(C)",
                "d4",	"TM",
                "d5",	"product",
                "d6",	"radical",
                "d7",	"dotmath",
                "d8",	"!=",
                "d9",	"&&",
                "da",	"||",
                "db",	"<==>",
                "dc",	"<==",
                "dd",	"arrowdblup",
                "de",	"==>",
                "df",	"arrowdbldown",
		"e0",	"lozenge",
		"e1",	"angleleft",
		"e2",	"(R)",
		"e3",	"(C)",
		"e4",	"TM",
		"e5",	"summation",
		"e6",	"parenlefttp",
		"e7",	"parenleftex",
		"e8",	"parenleftbt",
		"e9",	"bracketlefttp",
		"ea",	"bracketleftex",
		"eb",	"braketleftbt",
		"ec",	"bracelefttp",
		"ed",	"braceleftmid",
		"ee",	"braceleftbt",
		"ef",	"braceex",
		"f0",	"Reserved",
		"f1",	"angleright",
		"f2",	"integral",
		"f3",	"integraltp",
		"f4",	"integralex",
		"f5",	"integralbt",
		"f6",	"parenrighttp",
		"f7",	"parenrightex",
		"f8",	"parenrightbt",
		"f9",	"bracketrighttp",
		"fa",	"bracketrightex",
		"fb",	"bracketrightbt",
		"fc",	"bracerighttp",
		"fd",	"bracerightmid",
		"fe",	"bracerightbt",
               );

%ascii_dingbat_font = (
                "6c",	"O",
                "ac",	"(1)",
                "ad",	"(2)",
                "ae",	"(3)",
                "af",	"(4)",
                "b0",	"(5)",
                "b1",	"(6)",
                "b2",	"(7)",
                "b3",	"(8)",
                "b4",	"(9)",
                "b5",	"(10)",
                "b6",	"[1]",
                "b7",	"[2]",
                "b8",	"[3]",
                "b9",	"[4]",
                "ba",	"[5]",
                "bb",	"[6]",
                "bc",	"[7]",
                "bd",	"[8]",
                "be",	"[9]",
                "bf",	"[10]",
                "c0",	"(1)",
                "c1",	"(2)",
                "c2",	"(3)",
                "c3",	"(4)",
                "c4",	"(5)",
                "c5",	"(6)",
                "c6",	"(7)",
                "c7",	"(8)",
                "c8",	"(9)",
                "c9",	"(10)",
                "ca",	"[1]",
                "cb",	"[2]",
                "cc",	"[3]",
                "cd",	"[4]",
                "ce",	"[5]",
                "cf",	"[6]",
                "d0",	"[7]",
                "d1",	"[8]",
                "d2",	"[9]",
                "d3",	"[10]",
               );

1;
